Retrieve workspace files by size#
Description#
Returns a paged collection of the file meta associated with the workspace of the request, ordered by size.
GET /api/v1/admin/usage/filesBySize
Required OAuth Scopes
No OAuth scopes are required to use this endpoint.
Parameters#
Parameter |
In |
Type |
Required |
Description |
|---|---|---|---|---|
cursor |
query |
string |
false |
A paging cursor; if included, |
limit |
query |
integer(int32) |
false |
The number of file meta objects to return, from 1 to 1000; by default, 1000 |
offset |
query |
integer(int64) |
false |
The item to start with on the page, greater than or equal to 0; by default, 0 |
Code Samples#
curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/admin/usage/filesBySize \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/admin/usage/filesBySize \
Accept:application/json \
Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/admin/usage/filesBySize" \
--output-document - \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/admin/usage/filesBySize', headers = headers)
print(r.json())
Returns#
200 - OK#
Returns a JSON object with body and cursor properties:
bodycontains an array of FileMetaDto objects. If the request returns no results,bodycontains an empty array.cursorcontains a paging cursor, which can be included in the next call to the endpoint to retrieve the next set of results. If no additional results,cursorisnull.
Example Responses#
{
"body": [
{
"columnMappings": {},
"created": "string",
"delimiter": "string",
"id": "string",
"key": "string",
"metadata": {},
"name": "string",
"numErrors": "integer",
"numRecords": "integer",
"originalFileSize": "integer",
"source": "string",
"status": "string",
"tableId": "string",
"tags": {},
"updated": "string",
"userId": "string",
"version": "integer"
}
],
"code": "integer",
"cursor": "string"
}